Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_SearchResultObjectData

    java.lang.Object
      oracle.ifs.server.S_SearchResultObjectData

All Implemented Interfaces:
  java.io.Serializable

    public class S_SearchResultObjectData

extends java.lang.Object
implements java.io.Serializable

The `S_SearchResultObjectData` class is used to hold SearchResult information. Currently it holds a S_LibraryObjectData representing the returned object, and score information about its contents, if any.

See Also:
  Serialized Form
(Unpublished)

Field Summary
`protected java.lang.String` | `m_DefaultResultClass`
`protected java.util.Hashtable` | `m_ObjectDatas` Contains the objects to be returned.
`protected java.util.Hashtable` | `m_Scores` Contains a mapping ContextQualifier names to scores.

Constructor Summary
`protected` | `S_SearchResultObjectData(java.lang.String[] names, S_LibraryObjectData[] data, java.sql.ResultSet rset, int offset, java.util.Hashtable columnMapping)` construct a S_SearchResultObjectData.

Method Summary
`java.lang.String` | `getDefaultResultClass()`
`java.util.Hashtable` | `getLibraryObjectDatas()`
`java.util.Hashtable` | `getScoreMapping()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_ObjectDatas

    protected java.util.Hashtable m_ObjectDatas

  Description copied from class: `S_SearchResultObjectData`
  Contains the objects to be returned. Hashed on the classname/alias provided the user.

### m_DefaultResultClass

    protected java.lang.String m_DefaultResultClass

### m_Scores

    protected java.util.Hashtable m_Scores

  Description copied from class: `S_SearchResultObjectData`
  Contains a mapping ContextQualifier names to scores.

Constructor Detail

### S_SearchResultObjectData

    protected S_SearchResultObjectData(java.lang.String[] names,
                                       S_LibraryObjectData[] data,
                                       java.sql.ResultSet rset,
                                       int offset,
                                       java.util.Hashtable columnMapping)
                                throws IfsException

  construct a S_SearchResultObjectData.

  Parameters:
    `data` - the data of the selected object
    `rset` - the ResultSet of the Search
    `offset` - the column offset in the ResultSet, where the score expressions begin
    `columnMapping` - a mapping from column offsets to CQ.names.
  Throws:
    `IfsException` - if operation fails.

Method Detail

### getLibraryObjectDatas

    public java.util.Hashtable getLibraryObjectDatas()

### getDefaultResultClass

    public java.lang.String getDefaultResultClass()

### getScoreMapping

    public java.util.Hashtable getScoreMapping()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD